">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Processable::Installable::Class - Lintian interface to binary package data collection

# SYNOPSIS

        my ($name, $type, $dir) = ('foobar', 'binary', '/path/to/lab-entry');
        my $collect = Lintian::Processable::Installable::Class->new($name);

# DESCRIPTION

Lintian::Processable::Installable::Class provides an interface to package data for binary packages.

# INSTANCE METHODS

is_debug_package

  The package probably contains only debug symbols.

is_auto_generated

  The package was probably generated automatically.

is_transitional

  The package is probably transitional, i.e. it probably depends on stuff will eventually disappear.

is_meta_package

  This package is probably some kind of meta or task package. A meta package is usually empty and just depend on stuff. It also returns a true value for "tasks" (i.e. tasksel "tasks").

# AUTHOR

Originally written by Frank Lichtenheld <djpig@debian.org> for Lintian. Amended by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

# SEE ALSO

lintian(1)

<<